Package org.eclipse.emf.cdo.server.db

# Interface IDBStoreChunkReader

All Superinterfaces:
  `IStoreChunkReader`

public interface IDBStoreChunkReader extends IStoreChunkReader
A `chunk reader` for CDO's proprietary object/relational mapper.

Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.server.IStoreChunkReader

`IStoreChunkReader.Chunk`

## Method Summary

Modifier and Type
Method
Description
`IDBStoreAccessor`
`getAccessor()`

### Methods inherited from interface org.eclipse.emf.cdo.server.IStoreChunkReader

`addRangedChunk, addSimpleChunk, executeRead, getFeature, getRevision`

## Method Details

### getAccessor

IDBStoreAccessor getAccessor()

Specified by:
  `getAccessor` in interface `IStoreChunkReader`
Since:
  2.0